Support » Code oplossingen gezocht » Plugins Download Error & Warning Line 29

  • Heyhey,

    Ik ben bezig met nieuwe plugins te downloaden maar ik heb nu telkens een warning als ik iets probeer te downloaden of probeer te verwijderen. Alles wat te maken heeft met een plugin of thema.

    Ik was bezig om een Maintance Plugin te downloaden omdat de website: http://www.weberadministratie.nl een update nodig heeft, plus de website scrollt niet meer naar beneden. Ik heb op het forum gekeken maar kwam niet iets duidelijks tegen.

    De volgende melding krijg ik wanneer ik een plugin probeer te downloaden:
    Installatie mislukt: Warning: Creating default object from empty value in /www/wp-content/themes/salient/nectar/redux-framework/ReduxCore/inc/class.redux_filesystem.php on line 29 {"success":true,"data":{"install":"plugin","slug":"wp-maintenance-mode","pluginName":"WP Maintenance Mode","activateUrl":"https:\/\/www.weberadministratie.nl\/wp-admin\/plugins.php?_wpnonce=aa47d9e25c&action=activate&plugin=wp-maintenance-mode\/wp-maintenance-mode.php"}}

    En ik heb ook bovenaan in mijn wordpress account dit staan:
    Warning: Creating default object from empty value in /www/wp-content/themes/salient/nectar/redux-framework/ReduxCore/inc/class.redux_filesystem.php on line 29

    Wat er misschien ook mee te maken heeft. Alleen kan ik niet zo goed vinden wat de oplossing is.

    Als ik naar Line 29 ga dan staat het volgende er: (Dit is van line 28 tot 34)

    public function __construct() {
                    $this->parent->admin_notices[] = array(
                        'type'    => 'error',
                        'msg'     => '<strong>' . __( 'File Permission Issues', 'redux-framework' ) . '</strong><br/>' . sprintf( __( 'We were unable to modify required files. Please check your permissions, or modify your wp-config.php file to contain your FTP login credentials as <a href="%s" target="_blank" rel="noopener">outlined here</a>.', 'redux-framework' ), 'https://codex.wordpress.org/Editing_wp-config.php#WordPress_Upgrade_Constants' ),
                        'id'      => 'redux-wp-login',
                        'dismiss' => false,
                    );

    Ik hoop dat iemand mij verder kan helpen!

    • Dit onderwerp is gewijzigd 2 weken, 6 dagen geleden door jenniw.
    • Dit onderwerp is gewijzigd 2 weken, 6 dagen geleden door jenniw.

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

1 reactie aan het bekijken (van in totaal 1)
  • Guido

    (@guido07111975)

    Hoi,

    Kan heel goed een conflict zijn met een nieuwe versie van PHP op de server, want jouw thema Salient is erg oud (versie 8.5.4 terwijl huidige versie 13.0.6 is). Dus mijn advies: thema updaten / licentie verlengen. En hopen dat updaten niet voor andere problemen zorgt.

    Als het inderdaad aan een nieuwe versie van PHP ligt, deze versie terugzetten naar een oude versie (zoals 5.6) is eigenlijk geen optie want is zeer verouderd. Via Gereedschap > Sitediagnose > (tab) Informatie kun je onder meer de huidige PHP-versie zien.

    Guido

1 reactie aan het bekijken (van in totaal 1)